<template>
  <div class="container"></div>
</template>

<script>
import detailPayMixin from "@/views/Goods/Detail/modules/detailPay.mixin";
import { isXyqb } from "@/service/validation";
export default {
  name: "PayWaiting",
  mixins: [detailPayMixin],
  data() {
    return {
      orderInfo: {}
    };
  },
  mounted() {
    this.setIsPayWait(true);
    this.orderInfo = this.$route.query;
    if (this.orderInfo.isXyqb == 1 && !isXyqb) {
      window.location.href = "xyqb://my";
      return;
    }
    if (!this.orderInfo.payOrderNo) {
      this.$notify({ type: "warning", message: "正在跳转..." });
      setTimeout(() => {
        this.$router.replace("/");
      }, 1000);
      return;
    }
    this.getPayResult();
  }
};
</script>
<style lang="less" src="./index.less" scoped></style>
